Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.encoder.xbm
Class XBMEncoder

    com.sun.jimi.core.encoder.xbm.XBMEncoder

public class XBMEncoder

Encoder for XBM format.

Field Summary
`protected AdaptiveRasterImage` | `jimiImage`
`protected java.io.PrintStream` | `output`
`protected int` | `state`

Constructor Summary
`XBMEncoder()`

Method Summary
`protected void` | `doImageEncode()` Perform actual image encoding and write data to output stream.
`boolean` | `driveEncoder()` Drive the encoder through the image encoding process.
`int` | `getState()`
`void` | `initSpecificEncoder(java.io.OutputStream out, AdaptiveRasterImage image)`
`protected int` | `intensity(int rgb)` Return the sum of the r/g/b components of an RGB value.
`protected void` | `writeHeader()` Write header.
`protected void` | `writeImageData()` Encode the pixel data.
`protected void` | `writeTrailer()` Write the end of image marker.

Field Detail

### output

    protected java.io.PrintStream output

### jimiImage

    protected AdaptiveRasterImage jimiImage

### state

    protected int state

Constructor Detail

### XBMEncoder

    public XBMEncoder()

Method Detail

### initSpecificEncoder

    public void initSpecificEncoder(java.io.OutputStream out,
                                    AdaptiveRasterImage image)

### driveEncoder

    public boolean driveEncoder()
                         throws JimiException

  Drive the encoder through the image encoding process.

### getState

    public int getState()

### doImageEncode

    protected void doImageEncode()
                          throws JimiException,
                                 java.io.IOException

  Perform actual image encoding and write data to output stream.

### writeHeader

    protected void writeHeader()

  Write header.

### writeImageData

    protected void writeImageData()
                           throws JimiException

  Encode the pixel data.

### intensity

    protected int intensity(int rgb)

  Return the sum of the r/g/b components of an RGB value.

### writeTrailer

    protected void writeTrailer()

  Write the end of image marker.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD